Skip to main content
GET
Get an execution by ID

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required

Identifier of the resource in Payrails.

Query Parameters

waitWhile[status]
string

Request the server to wait until status no longer has the given value. The server might return a response earlier than that and the client must be prepared to re-issue the request in this case.

waitWhile[actionRequired]
string

Request the server to wait until actionRequired no longer has the given value. The server might return a response earlier than that and the client must be prepared to re-issue the request in this case.

waitWhile[lastStatusTime]
string<date-time>

Request the server to wait until the execution has a new status added after statusTime. statusTime should be the latest status time of the execution at the moment of the call so that a new status would stop the wait. The server might return a response earlier than that and the client must be prepared to re-issue the request in this case.

Response

OK.

id
string<uuid>
required

ID of this execution.

status
object[]
required

Business-case dependent set of status tags of this execution. The order of statuses does not matter and should not be used for any logic.

createdAt
string<date-time>
required

When this execution was started.

merchantReference
string
required

Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.

Example:

"order_15415"

holderReference
string
required

Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.

holderId
string<uuid>
required

Unique identifier of the Holder in Payrails.

workflow
object

Workflow template from which the Executions are created.

amount
object

Amount of the execution. Only present if an amount has been set on the execution via an action (lookup, authorize, etc.).

meta
object

Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.

initialResults
An action response. · object[]

Results of the initialActions specified during execution creation. Indexes of this array correspond one to one with those from initialActions, each initial action reports their result here.

workspaceId
string<uuid>

Workspace ID that that this execution belongs to.

Links to the next possible actions that can be taken.

requiredAction
object

Details of the next possible actions that can be taken.

actionRequired
enum<string>

Action the customer needs to take to move the Execution state. A link with the same name should be used to continue.

Available options:
3ds,
confirm
Last modified on October 1, 2026